metadata_fields_list
const url = 'https://example.com/api/metadata_fields?view=default';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/metadata_fields?view=default' \ --header 'Authorization: Bearer <token>'List the information related to all the MetadataField objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Filter results based on a specified view mode can either be referential_and_unmapped or default.
Responses
Section titled “Responses”object
Serializer for MetadataField model.
object
Build and return the absolute URI for the specified schema.
Parameters
obj : object The object for which the schema URI is being generated.
Returns
str The absolute URI for the schema associated with the object’s metadata.
Build and return the absolute URI for the specified ui schema.
Parameters
obj : object The object for which the schema URI is being generated.
Returns
str The absolute URI for the ui schema associated with the object’s metadata.
Retrieve the filtered metadata mapping based on the type.
object
Dynamically return the correct metadata field type.
Parameters
obj : object The MetadataField instance.
Returns
str The name of the metadata field type (madbot_field or plugin_field).
Dynamically return the correct metadata field level.
Parameters
obj : object The MetadataField instance.
Returns
str The name of the metadata field type (madbot_field or plugin_field).
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2", "results": [ { "rank": 1 } ]}object
object
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter_name": "<parameter_name>", "code": "not_supported", "message": "This field is not supported" } ]}
